import { locator } from "../api/main/CommonLocator.js";
import { AffiliatePartnerKpiService } from "../api/entities/sys/Services.js";
/**
 * Class containing state of the affiliate model.
 */
export class AffiliateViewModel {
    constructor() {
        this.serviceExecutor = locator.serviceExecutor;
        this._data = null;
        this._isLoading = true;
    }
    get isLoading() {
        return this._isLoading;
    }
    get data() {
        return this._data;
    }
    async load() {
        try {
            this._data = await this.serviceExecutor.get(AffiliatePartnerKpiService, null);
        }
        finally {
            this._isLoading = false;
        }
    }
}
//# sourceMappingURL=AffiliateViewModel.js.map